OmnAPI - Phase 1
  1. Tasks
OmnAPI - Phase 1
  • Tasks
    • Create Task
      POST
    • Get Task
      GET
    • Cancel Task
      POST
  • Producer
    • Generate Image
      POST
    • Generate Lyrics
      POST
    • Generate Music (Compose)
      POST
    • Generate Music (Modify)
      POST
  • Schemas
    • Schemas
      • User
      • EmailTask
      • Session
      • SmsTask
      • Account
      • Verification
      • TwoFactor
      • Organization
      • Member
      • Invitation
  1. Tasks

Get Task

GET
/api/v1/tasks/{id}
Get task details by ID

Request

Path Params

Header Params

Responses

🟢200
application/json
Response for status 200
Body

🟠400
🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.omnapi.com/api/v1/tasks/' \
--header 'x-api-key;'
Response Response Example
200 - Example 1
{
    "id": "string",
    "userId": "string",
    "apiKeyId": "string",
    "accountId": "string",
    "status": "PENDING",
    "progress": 0,
    "priority": 1,
    "inputParameters": null,
    "outputResults": null,
    "resources": [
        null
    ],
    "creditsRequired": 0,
    "creditsCharged": 0,
    "unitPrice": null,
    "currency": "string",
    "refunded": true,
    "externalTaskId": "string",
    "externalStatus": "string",
    "retryCount": 0,
    "maxRetries": 0,
    "processingDuration": 0,
    "errorCode": "string",
    "errorMessage": "string",
    "createdAt": null,
    "updatedAt": null,
    "expiresAt": null,
    "processingStartedAt": null,
    "processingCompletedAt": null,
    "lastPollAt": null,
    "nextPollAt": null,
    "scheduledAt": null,
    "enqueuedAt": null,
    "lastStatusChange": null,
    "webhookUrl": "string",
    "needsEnqueue": true,
    "tags": null,
    "metadata": null,
    "statusStabilityCount": 0,
    "session": [
        null
    ],
    "providerRefs": null,
    "provider": {
        "id": 0,
        "name": "string",
        "code": "string",
        "description": "string",
        "enabled": true
    },
    "model": {
        "id": 0,
        "name": "string",
        "code": "string",
        "version": "string",
        "description": "string",
        "priceMultiplier": 0,
        "enabled": true
    },
    "feature": {
        "id": 0,
        "name": "string",
        "code": "string",
        "description": "string",
        "basePrice": 0,
        "enabled": true
    }
}
Modified at 2026-03-09 15:29:15
Previous
Create Task
Next
Cancel Task
Built with